Subject: Re: bug#21804: 25.0.50; file-notify-tests failure on Cygwin

From: Michael Albinus <[email-masked]>
Date: Sun, 01 Nov 2015 18:34:23 +0100

Ken Brown <[email-masked]> writes:

Hi Ken,

> The following tests are failing on Cygwin:
>
> file-notify-test02-events
> file-notify-test02-events-remote
> file-notify-test04-file-validity
> file-notify-test04-file-validity-remote
> file-notify-test05-dir-validity
>
> I’m attaching the log based on a build from git 1500667.  Please let
> me know what I can do to help track this down.

You are using

> Local library: `gfilenotify'
>    passed   1/12  file-notify-test00-availability
> Remote command: `gvfs-monitor-dir'
>    passed   2/12  file-notify-test00-availability-remote

With the same settings, for me it fails for

file-notify-test02-events
file-notify-test04-file-validity

With local gfilenotify, there is a problem to get the `stopped' event
once a watched file or directory has been deleted. Notably, it works for
the remote gvfs-monitor-dir, which shall behave similar.

I will try to fix these cases first, because I could reproduce them
locally. Let's see how it behaves afterwards.

> Ken

Best regards, Michael.